
let rec loop d =
  let ev = Alerte.evaluationRisques () in
  begin match ev with
    Alerte.Alone | Alerte.Tranquille ->
      let (action, bid, args) = Alphabeta.find_move d max_int [] in
      Communication.send bid action args
  | Alerte.CombatLocal (scope, r) ->
      let (action, bid, args) = Alphabeta.find_move d scope r in
      Communication.send bid action args
  | Alerte.ZoneDense ->
      assert false
  end;
  loop d

let _ =
  Communication.start ();
  let d = Distance.distance !State.homes in
  loop d
