
let current () =
  let t = Unix.times () in
  t.Unix.tms_utime +. t.Unix.tms_stime

let credit () = float (!State.moves + 1) -. current ()

let make_timer () = ref 0.

let start_timer timer t =
 timer := current () +. t

let timeout timer =
  !timer = 0.
    ||
  if current () > !timer then begin
    timer := 0.;
    true
  end else
    false
